# TODO
# - fonts-TTF-CBM subpackage:
#   %{_fontsdir}/TTF/CBM.ttf
#
# Conditional build:
%bcond_without	pulseaudio	# pulseaudio support
#
Summary:	Versatile Commodore Emulator
Summary(pl.UTF-8):	Uniwersalny emulator Commodore
Name:		vice
Version:	3.3
Release:	3
License:	GPL v2+
Group:		Applications/Emulators
Source0:	http://www.zimmers.net/anonftp/pub/cbm/crossplatform/emulators/VICE/%{name}-%{version}.tar.gz
# Source0-md5:	b0797f534b33f638220418207d606cf5
Source1:	%{name}-c128.desktop
Source2:	%{name}-c64.desktop
Source3:	%{name}-cbm2.desktop
Source4:	%{name}-pet.desktop
Source5:	%{name}-plus4.desktop
Source6:	%{name}-vic20.desktop
Patch0:		%{name}-info.patch
Patch1:		%{name}-fonts.patch
URL:		http://vice-emu.sourceforge.net/
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	ffmpeg-devel
BuildRequires:	flac-devel
BuildRequires:	flex
BuildRequires:	fontconfig-devel
BuildRequires:	giflib-devel
BuildRequires:	gtk+3-devel
BuildRequires:	gtkglext-devel
BuildRequires:	lame-libs-devel
BuildRequires:	libieee1284-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmpg123-devel
BuildRequires:	libogg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libvorbis-devel
BuildRequires:	linux-libc-headers
BuildRequires:	perl-base
BuildRequires:	pkgconfig
%{?with_pulseaudio:BuildRequires:	pulseaudio-devel}
BuildRequires:	readline-devel
BuildRequires:	texinfo
BuildRequires:	vte-devel
BuildRequires:	xa
BuildRequires:	xorg-app-bdftopcf
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-lib-libXxf86dga-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
Requires(post,postun):	fontpostinst >= 0.1-6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VICE is a Versatile Commodore Emulator, i.e. a program that runs on a
Unix, MS-DOS, Win95/NT, OS/2, RiscOS or BeOS machine and executes
programs intended for the old 8-bit Commodore computers. The current
version emulates the C64, the C128 (80 column screen is included now),
the VIC20, all the PET models (except the SuperPET 9000, which is out
of line anyway), CBM-II (aka C610) and the Plus4.

%description -l pl.UTF-8
VICE jest wszechstronnym emulatorem 8-bitowego komputera Commodore.
Aktualna wersja emuluje C64, C128 (wraz z trybem pracy 80 kolumnowym),
VIC20, wszystkie modele PET (poza SuperPET 9000, który zresztą nie
pasował do tej linii), CBM-II (C610) oraz Plus4.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%{__perl} -i -pe 's@\$\(VICEDIR\)/fonts@%{_fontsdir}/misc@' data/fonts/Makefile.am

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd src/resid
%{__autoconf}
cd ../..
export CFLAGS="%{rpmcflags} -fcommon"
%configure \
	DOS2UNIX=/usr/bin/dos2unix \
	--libdir=%{_datadir} \
	%{?with_pulseaudio:--with-pulse} \
	--enable-libieee1284 \
	--enable-native-gtk3ui \
	--with-sdlsound \
	--enable-external-ffmpeg \
	--enable-ethernet \
	--with-x

# contains some C++ code included as "old" library (.a), so libtool can't detect it
%{__make} \
	CCLD="%{__cxx}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__perl} -i -pe 's/SUBDIRS = html\n//' doc/Makefile
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	VICEDIR="%{_datadir}/%{name}"

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/vice/doc
# ?
#ln -sf %{_docdir}/%{name}-%{version}/html $RPM_BUILD_ROOT%{_datadir}/vice/doc

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE5} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE6} $RPM_BUILD_ROOT%{_desktopdir}

install -d $RPM_BUILD_ROOT%{_fontsdir}/TTF
mv $RPM_BUILD_ROOT%{_fontsdir}/{misc,TTF}/CBM.ttf

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst TTF
fontpostinst misc
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
fontpostinst TTF
fontpostinst misc
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FEEDBACK NEWS README doc/iec-bus.txt doc/html
%attr(755,root,root) %{_bindir}/c1541
%attr(755,root,root) %{_bindir}/cartconv
%attr(755,root,root) %{_bindir}/petcat
%attr(755,root,root) %{_bindir}/vsid
%attr(755,root,root) %{_bindir}/x128
%attr(755,root,root) %{_bindir}/x64
%attr(755,root,root) %{_bindir}/x64dtv
%attr(755,root,root) %{_bindir}/x64sc
%attr(755,root,root) %{_bindir}/xcbm2
%attr(755,root,root) %{_bindir}/xcbm5x0
%attr(755,root,root) %{_bindir}/xpet
%attr(755,root,root) %{_bindir}/xplus4
%attr(755,root,root) %{_bindir}/xscpu64
%attr(755,root,root) %{_bindir}/xvic
%{_datadir}/vice
%{_fontsdir}/misc/vice-cbm.bdf
%{_fontsdir}/TTF/CBM.ttf
%{_mandir}/man1/cartconv.1*
%{_mandir}/man1/c1541.1*
%{_mandir}/man1/petcat.1*
%{_mandir}/man1/vice.1*
%{_infodir}/vice.info*
%{_desktopdir}/vice-*.desktop
%changelog
* Sun Sep 11 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vice.git;a=log;h=master

* Sun Sep 11 2022 Jan Palus <atler@pld-linux.org> 1cbf53e
- flac rebuild

* Sun Sep 11 2022 Jan Palus / PLD <atler@carme.pld-linux.org> ba5557b
- continue using -fcommon with newer compilers

* Wed Mar 25 2020 Jan Rękorajski <baggins@pld-linux.org> 48bf19b
- release 2 (by relup.sh)

* Sun Oct 20 2019 Jan Rękorajski <baggins@pld-linux.org> 1eaa1df
- up to 3.3

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> d8453dd
- release 6 (by relup.sh)

* Thu Oct 20 2016 Jan Rękorajski <baggins@pld-linux.org> 50f09ec
- various build fixes (ffmpeg, giflib, perl syntax in texi2html script)
- rel 5

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> d9c4dfe
- rebuild with readline 7.0
- release 4 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 89ace18
- updated gettext BR

* Fri Nov 08 2013 Jan Rękorajski <baggins@pld-linux.org> 87c2fd3
- fix build with ffmpeg 2
- fix texi for texinfo 5.x
- rel 3

* Fri Nov 08 2013 Jan Rękorajski <baggins@pld-linux.org> 484b981
- added vte0-devel BR

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3932e0d
- release 2 (by relup.sh)

* Sun Nov 25 2012 Jakub Bogusz <qboosh@pld-linux.org> c93d7b0
- updated to 2.4
- updated link patch
- old ffmpeg patch (for ffmpeg 0.10 or so) obsolete; new one contains updates for ffmpeg 0.11/1.0

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 4cfdf92
- release 5 (by relup.sh)

* Sat Feb 11 2012 Adam Gołębiowski <adamg@pld-linux.org> a6275b8
- new

* Sat Feb 11 2012 Adam Gołębiowski <adamg@pld-linux.org> b22835b
- fix build against recent ffmpeg (-ffmpeg.patch)
- release 4 (rebuild against libpng-1.5)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e545858
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b52c730
- release 2

* Wed Mar 23 2011 lisu <lisu@pld-linux.org> 24d0d6f
- updated for 2.3

* Wed Mar 23 2011 lisu <lisu@pld-linux.org> 017efa7
- updated to 2.3
- drop unsupported ./configure options
- drop missing doc files
- drop obsoleted __rm
- sorted BRs

* Mon Feb 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 4af74e8
- added fonts patch to avoid installing fonts in builder's home
- added link patch to avoid -lnsl -lbsd and other junk
- install bdf and ttf fonts in proper dirs
- handle esd and pulse options/bconds with up to date defaults (esd off, pulse on)

